package com.yeejoin.equipmanage.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.equipmanage.common.entity.Unit;

/**
 * 计量单位 Mapper 接口
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface UnitMapper extends BaseMapper<Unit> {
	
	List<Map<String, Object>> getUnitClassification();
	
	String getUnitFirstLevelCode();
	
	String getUnitSecondLevelCode(Long id);
	
	List<Unit> getUnitList(@Param("name") String name);
	
	Unit getOne(@Param("id")String  id);
	
}
